<html>
    <head>
        <title>jQuery Parallax Slider</title>
        <link rel="stylesheet" type="text/css" href="style.css" />        
    </head>
    <body>
		<h1>jQuery Parallax Slider</h1>
		<div id="parallax-slider-container" class="parallax-slider-container">
			<div class="parallax-bg"></div>
			<div>
				<ul class="parallax-slider">
					<li id="slide-1" class="slide"><img src="slider/slide-1.jpg" /></li>
					<li id="slide-2" class="slide"><img src="slider/slide-2.jpg" /></li>
					<li id="slide-3" class="slide"><img src="slider/slide-3.jpg" /></li>
					<li id="slide-4" class="slide"><img src="slider/slide-4.jpg" /></li>
					<li id="slide-5" class="slide"><img src="slider/slide-5.jpg" /></li>
					<li id="slide-6" class="slide"><img src="slider/slide-6.jpg" /></li>
				</ul>
				<ul class="thumb-img-container">
					<li id="1" class="thumb-img"><img src="slider/slide-thumb-1.jpg" /></li>
					<li id="2" class="thumb-img"><img src="slider/slide-thumb-2.jpg" /></li>
					<li id="3" class="thumb-img"><img src="slider/slide-thumb-3.jpg" /></li>
					<li id="4" class="thumb-img"><img src="slider/slide-thumb-4.jpg" /></li>
					<li id="5" class="thumb-img"><img src="slider/slide-thumb-5.jpg" /></li>
					<li id="6" class="thumb-img"><img src="slider/slide-thumb-6.jpg" /></li>
				</ul>
			</div>
		</div>

		
		<script type="text/javascript" src="jquery-1.11.2.min.js"></script>
		<script>
			$(document).ready(function(){
					var sliderIndex;
					initSlider();	
					$(".thumb-img").on("click",function(){
						sliderIndex = $(this).attr("id");
						runParallax(sliderIndex);
					});					
			});
			function runParallax(sliderIndex) {				
				var windowWidth = $(window).width();
				var slideWidth = $(".slide").width();
				var slideLeft = (windowWidth/2)-(slideWidth/2);
				var sliderImageCount = parseInt($(".slide").length); 
				
				if(sliderIndex>0) {
					$(".parallax-bg").css("width",sliderImageCount*windowWidth);
					$( ".parallax-bg" ).animate({
						left: "-"+parseInt((sliderIndex-1)*slideWidth)
					  }, 1500 );
					
					for(i=1,j=sliderIndex-1;(i<=sliderIndex&&j>=1);i++,j--) {
						$("#slide-"+i).animate({left:"-"+parseInt(j*windowWidth)}, 1500);
					}
					$("#slide-"+sliderIndex).animate({left:slideLeft}, 1500);
					for(i=++sliderIndex,counter=1;i<=sliderImageCount;i++,counter++){
						$("#slide-"+i).animate({left:parseInt(counter*windowWidth)}, 1500);
					}
				}
			}
			function initSlider() {
				var windowWidth = $(window).width();
				var slideWidth = $(".slide").width();
				var slideLeft = (windowWidth/2)-(slideWidth/2);
				var sliderImageCount = parseInt($(".slide").length); 
				for(i=1;i<=sliderImageCount;i++) {
					$("#slide-"+i).css({left:(i*windowWidth)});
				}
				$("#slide-1").css("left",slideLeft+"px");
			}
		</script>
    </body>
</html>